﻿﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits="QuizEngineWebDraft_A._Default" %>

<%@ PreviousPageType VirtualPath="~/StartQuiz.aspx" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">

    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js" type="text/javascript"></script>

    <script src="http://code.jquery.com/ui/1.8.20/jquery-ui.min.js" type="text/javascript"></script>

    <title>Quiz</title>
    <style type="text/css">
        #container
        {
            margin: 0 auto;
            width: 100%;
            background: #fff;
        }
        #header
        {
            background: #ccc;
            padding: 20px;
        }
        #header h1
        {
            margin: 0;
        }
        #navigation
        {
            float: left;
            width: 100%;
            background: #333;
        }
        #navigation ul
        {
            margin: 0;
            padding: 0;
        }
        #navigation ul li
        {
            list-style-type: none;
            display: inline;
        }
        #navigation li a
        {
            display: block;
            float: left;
            padding: 5px 10px;
            color: #fff;
            text-decoration: none;
            border-right: 1px solid #fff;
        }
        #navigation li a:hover
        {
            background: #383;
        }
        #content-container1
        {
            float: left;
            width: 100%;
            background: #fff url(/bg.gif) repeat-y 20% 0;
        }
        #content-container2
        {
            float: left;
            width: 100%;
            background: url(/bgright.gif) repeat-y 80% 0;
        }
        #section-navigation
        {
            float: left;
            width: 16%;
            padding: 20px 0;
            margin: 0 2%;
            display: inline;
        }
        #section-navigation ul
        {
            margin: 0;
            padding: 0;
        }
        #section-navigation ul li
        {
            margin: 0 0 1em;
            padding: 0;
            list-style-type: none;
        }
        #content
        {
            float: left;
            width: 56%;
            padding: 20px 0;
            margin: 0 0 0 2%;
        }
        #content h2
        {
            margin: 0;
        }
        *
        {
            font-family: Constantia;
        }
        #aside
        {
            float: right;
            width: 16%;
            padding: 20px 0;
            margin: 0 2% 0 0;
            display: inline;
        }
        .Bar
        {
            width: 100%;
            padding: 0;
            background: #ccc;
            margin-top:10px;
        }
        
        .Bar a
        {
        	 font-style:italic;
        }
       .Bar span
        {
        	 font-style:italic;
        }
        
        #aside h3
        {
            margin: 0;
        }
        #footer
        {
            clear: both;
            background: #ccc;
            text-align: right;
            padding: 20px;
            height: 1%;
        }
    </style>
</head>
<body>

    <script language="javascript" type="text/javascript">
  function Validate()
{
        window.alert('Message goes here')
}
    </script>

    <form id="form1" runat="server">
    <div id="container">
        <div id="header">
            <h1>
                Tech-Quiz
            </h1>
        </div>
        <div id="navigation">
            <ul>
                <li><a href="startQuiz.aspx">Home</a></li>
                <li><a href="About.aspx">About us</a></li>
                <li><a href="Contact.aspx">Contact us</a></li>
            </ul>
        </div>
        <div id="content-container1">
            <div id="content-container2">
                <div id="section-navigation">
                    <ul>
                        <li><asp:HyperLink ID="hlink1" NavigateUrl="Quiz.aspx?qid=111" runat="server">.Net Starter Challenge</asp:HyperLink></li>
                        <li><asp:HyperLink ID="hlink2" NavigateUrl="Quiz.aspx?qid=111" runat="server">.Net Pro Challenge</asp:HyperLink></li>
                        <li><asp:HyperLink ID="hlink3" NavigateUrl="Quiz.aspx?qid=111" runat="server">.Net Expert Challenge</asp:HyperLink></li>
                        <li><asp:HyperLink ID="hlink4" NavigateUrl="Quiz.aspx?qid=111" runat="server">HyperLink</asp:HyperLink></li>
                        <li><asp:HyperLink ID="hlink5" NavigateUrl="Quiz.aspx?qid=111" runat="server">HyperLink</asp:HyperLink></li>
                    </ul>
                </div>
                <div id="content">
                    <div  class="Bar">
                        <strong>
                            <a>Current Question: </a>
                            <asp:Label ID="lblCurrentCardNo"   runat="server" Text="Label"></asp:Label>
                            <asp:Label ID="lblIsAnswered" Visible ="false" runat="server" Text="Label"></asp:Label>
                            &nbsp;&nbsp;&nbsp;&nbsp;<a>|</a>&nbsp;&nbsp;&nbsp;&nbsp;
                            <a>Score: </a>
                            <asp:Label ID="lblScore"  runat="server" Text="Label"></asp:Label>
                            &nbsp;&nbsp;&nbsp;&nbsp;<a>|</a>&nbsp;&nbsp;&nbsp;&nbsp;
                            <a>Correct Answered: </a>
                            <asp:Label ID="lblCorrectAnswerCount"  runat="server" Text="Label"></asp:Label>
                            &nbsp;&nbsp;&nbsp;&nbsp;<a>|</a>&nbsp;&nbsp;&nbsp;&nbsp;
                            <a>Total Questions: </a>
                            <asp:Label ID="lblTotalQuestion" runat="server" Text="Label"></asp:Label>
                        </strong>
                    </div>
                    <h3>
                        <asp:Label ID="lblQuestion" runat="server" Text="Label"></asp:Label>
                    </h3>
                    <asp:RadioButtonList ID="RBLQuestionCard" runat="server" AutoPostBack="True">
                    </asp:RadioButtonList>
                    &nbsp;<asp:Button ID="btnNext" runat="server" Text="Next &gt;&gt;" Style="height: 26px" />
                    
                    <div id="AnswerBar" runat="server" class="Bar">
                    <strong>
                        <asp:Label ID="lblAnswerText" runat="server" Text=""></asp:Label>
                            <asp:Label ID="lblIsCorrectAnswered" Visible = "false" runat="server" Text=""></asp:Label>
                    </strong>
                    </div>
                </div>
                <div id="aside">
                    <h3>
                       Explanation
                    </h3>
                    <p>
                       NA
                    </p>
                </div>
                <div id="footer">
                   Copyright © Varun Bansal, 2012
                </div>
            </div>
        </div>
    </div>
    <div>
        <asp:HiddenField ID="quizId" runat="server" />
    </div>
    </form>
</body>
</html>
